%define name	wise
%define version	2.2.0
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Comparisons of DNA and protein sequences
Group:		Sciences/Biology
License:	GPL
URL:		http://www.ebi.ac.uk/Wise2/doc_wise2.html
Source:		%{name}%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description
Wise2 is a package focused on comparisons of biopolymers, commonly DNA and 
protein sequence. Wise2's particular forte is the comparison of DNA sequence 
at the level of its protein translation. This comparison allows the simulta-
neous prediction of say gene structure with homology based alignment.

The Wise2 package was principally written by Ewan Birney, who wrote the main
genewise and estwise programs. The protein comparison database search program
was written by Richard Copley using the underlying Wise2 libraries.
Wise2 also uses code from Sean Eddy for reading HMMs and
for Extreme value distribution fitting.

%prep
%setup -q -n %{name}%{version}

%build
cd src && %make CFLAGS="-c $RPM_OPT_FLAGS" realall

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 src/models/{pswdb,psw,genewisedb,estwisedb,estwise,genewise,dba,dnal,genomewise} $RPM_BUILD_ROOT%{_bindir}

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 wisecfg/* $RPM_BUILD_ROOT%{_datadir}/%{name}

# configuration
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
echo "export WISECONFIGDIR=%{_datadir}/%{name}" > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/%{name}.sh
echo "setenv WISECONFIGDIR %{_datadir}/%{name}" > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/%{name}.csh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE docs
%{_bindir}/*
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/profile.d/*

%changelog
* Sat Jan 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.0-1mdk
- first mdk release, after a spec file stolen from Luc Ducazu <luc@biolinux.org>
